<?php
/**
 * webtrees: online genealogy
 * Copyright (C) 2015 webtrees development team
 * Copyright (C) 2015 JustCarmen
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 * GNU General Public License for more details.
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
namespace Andre\WebtreesAddOn\Histo\Schema;

use Fisharebest\Webtrees\Database;
use Fisharebest\Webtrees\I18N;
use Fisharebest\Webtrees\Schema\MigrationInterface;
use Fisharebest\Webtrees\Tree;
use Fisharebest\Webtrees\Log;
use Fisharebest\Webtrees\Site;

/**
 * Upgrade the database schema from version 0 to version 1.
 */
class Migration0 implements MigrationInterface {

	CONST MY_DOWNLOAD_BASE_URL = 'http://www.adumas.1s.fr/download/' ;
	CONST MY_VERSIONS_BASE_URL = 'http://www.versions.adumas.1s.fr/' ;
	CONST MY_VERSIONS_DOC_BASE_URL = 'http://www.docs.adumas.1s.fr/' ;
	CONST MY_BASE_URL = 'http://www.adumas.1s.fr/' ;

	/** {@inheritDoc} */
	public function upgrade() {		
	//Initialiser cache for  this module
	
	$rq = Database::prepare("SELECT SQL_CACHE setting_value from ##site_setting " .
	" WHERE setting_name = 'MY_VERSIONS_BASE_URL'")->execute()->fetchOne();  
	
		if (!null == $rq){
				//update 
				Database::exec(
					"UPDATE `##site_setting` SET setting_value='" . self::MY_VERSIONS_BASE_URL ."'" .
					" WHERE setting_name = 'MY_VERSIONS_BASE_URL'");			
				Log::addConfigurationLog('myExplorer: update URL values versions url update');
		} else {
				//INSERT
			Database::exec("
				INSERT INTO `##site_setting` (setting_name, setting_value) " .
				" VALUES  ('MY_VERSIONS_BASE_URL' , '" . self::MY_VERSIONS_BASE_URL ."')				
							");
				Log::addConfigurationLog('myExplorer: insert versions url values  insert' );			
		}
		
	/////////////////////////////////////////////////////////////////////////////
	$rq = Database::prepare("SELECT SQL_CACHE setting_value from ##site_setting " .
	" WHERE setting_name = 'MY_DOWNLOAD_BASE_URL'")->execute()->fetchOne();  
	
		if (!null == $rq){
				//update 
				Database::exec(
					"UPDATE `##site_setting` SET setting_value='" . self::MY_DOWNLOAD_BASE_URL ."'" .
					" WHERE setting_name = 'MY_DOWNLOAD_BASE_URL'");			
				Log::addConfigurationLog('myExploer: update URL values download update');
		} else {
				//INSERT
			Database::exec("
				INSERT INTO `##site_setting` (setting_name, setting_value) " .
				" VALUES  ('MY_DOWNLOAD_BASE_URL' , '" . self::MY_DOWNLOAD_BASE_URL ."')				
							");
				Log::addConfigurationLog('myExplorer: insert cache values download insert' );			
		}
		
	//////////////////////////////////////////////////////////////////
		$rq = Database::prepare("SELECT SQL_CACHE setting_value from ##site_setting " .
	" WHERE setting_name = 'MY_VERSIONS_DOC_BASE_URL'")->execute()->fetchOne();  
	
		if (!null == $rq){
				//update 
				Database::exec(
					"UPDATE `##site_setting` SET setting_value='" . self::MY_VERSIONS_DOC_BASE_URL ."'" .
					" WHERE setting_name = 'MY_VERSIONS_DOC_BASE_URL'");			
				Log::addConfigurationLog('myExplorer: update URL values versions doc update');
		} else {
				//INSERT
			Database::exec("
				INSERT INTO `##site_setting` (setting_name, setting_value) " .
				" VALUES  ('MY_VERSIONS_DOC_BASE_URL' , '" . self::MY_VERSIONS_DOC_BASE_URL ."')				
							");
				Log::addConfigurationLog('myExplorer: insert versions doc values insert' );			
		}
		
		/////////////////////////////////////////////////////////////////////////////////////
		$rq = Database::prepare("SELECT SQL_CACHE setting_value from ##site_setting " .
	" WHERE setting_name = 'MY_BASE_URL'")->execute()->fetchOne();  
	
		if (!null == $rq){
				//update 
				Database::exec(
					"UPDATE `##site_setting` SET setting_value='" . self::MY_BASE_URL ."'" .
					" WHERE setting_name = 'MY_BASE_URL'");			
				Log::addConfigurationLog('myExplorer: update URL values base url update');
		} else {
				//INSERT
			Database::exec("
				INSERT INTO `##site_setting` (setting_name, setting_value) " .
				" VALUES  ('MY_BASE_URL' , '" . self::MY_BASE_URL ."')				
							");
				Log::addConfigurationLog('myExplorer: insert base url values  insert' );			
		}
		
	}
}
?>